org.fourthline.cling.support.model.item

## Class MusicTrack

- java.lang.Object
- - org.fourthline.cling.support.model.DIDLObject
  - - org.fourthline.cling.support.model.item.Item
    - - org.fourthline.cling.support.model.item.AudioItem
      - - org.fourthline.cling.support.model.item.MusicTrack

-     public class MusicTrack
      extends AudioItem

  Author:
    Christian Bauer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.fourthline.cling.support.model.DIDLObject

      `DIDLObject.Class, DIDLObject.Property<V>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DIDLObject.Class` | `CLASS`

    - ### Fields inherited from class org.fourthline.cling.support.model.item.Item

      `refID`

    - ### Fields inherited from class org.fourthline.cling.support.model.DIDLObject

      `clazz, creator, descMetadata, id, parentID, properties, resources, restricted, title, writeStatus`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MusicTrack()`
    `MusicTrack(Item other)`
    `MusicTrack(String id, Container parent, String title, String creator, String album, PersonWithRole artist, Res... resource)`
    `MusicTrack(String id, Container parent, String title, String creator, String album, String artist, Res... resource)`
    `MusicTrack(String id, String parentID, String title, String creator, String album, PersonWithRole artist, Res... resource)`
    `MusicTrack(String id, String parentID, String title, String creator, String album, String artist, Res... resource)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAlbum()`
    `PersonWithRole[]` | `getArtists()`
    `Person[]` | `getContributors()`
    `String` | `getDate()`
    `PersonWithRole` | `getFirstArtist()`
    `Person` | `getFirstContributor()`
    `String` | `getFirstPlaylist()`
    `Integer` | `getOriginalTrackNumber()`
    `String[]` | `getPlaylists()`
    `StorageMedium` | `getStorageMedium()`
    `MusicTrack` | `setAlbum(String album)`
    `MusicTrack` | `setArtists(PersonWithRole[] artists)`
    `MusicTrack` | `setContributors(Person[] contributors)`
    `MusicTrack` | `setDate(String date)`
    `MusicTrack` | `setOriginalTrackNumber(Integer number)`
    `MusicTrack` | `setPlaylists(String[] playlists)`
    `MusicTrack` | `setStorageMedium(StorageMedium storageMedium)`

    - ### Methods inherited from class org.fourthline.cling.support.model.item.AudioItem

      `getDescription, getFirstGenre, getFirstPublisher, getFirstRelation, getFirstRights, getGenres, getLanguage, getLongDescription, getPublishers, getRelations, getRights, setDescription, setGenres, setLanguage, setLongDescription, setPublishers, setRelations, setRights`

    - ### Methods inherited from class org.fourthline.cling.support.model.item.Item

      `getRefID, setRefID`

    - ### Methods inherited from class org.fourthline.cling.support.model.DIDLObject

      `addDescMetadata, addProperties, addProperty, addResource, equals, getClazz, getCreator, getDescMetadata, getFirstProperty, getFirstPropertyValue, getFirstResource, getId, getLastProperty, getParentID, getProperties, getProperties, getPropertiesByNamespace, getPropertyValues, getResources, getTitle, getWriteStatus, hashCode, hasProperty, isRestricted, removeProperties, replaceFirstProperty, replaceProperties, setClazz, setCreator, setDescMetadata, setId, setParentID, setProperties, setResources, setRestricted, setTitle, setWriteStatus`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CLASS

          public static final DIDLObject.Class CLASS

  - ### Constructor Detail

    - #### MusicTrack

          public MusicTrack()

    - #### MusicTrack

          public MusicTrack(Item other)

    - #### MusicTrack

          public MusicTrack(String id,
                            Container parent,
                            String title,
                            String creator,
                            String album,
                            String artist,
                            Res... resource)

    - #### MusicTrack

          public MusicTrack(String id,
                            Container parent,
                            String title,
                            String creator,
                            String album,
                            PersonWithRole artist,
                            Res... resource)

    - #### MusicTrack

          public MusicTrack(String id,
                            String parentID,
                            String title,
                            String creator,
                            String album,
                            String artist,
                            Res... resource)

    - #### MusicTrack

          public MusicTrack(String id,
                            String parentID,
                            String title,
                            String creator,
                            String album,
                            PersonWithRole artist,
                            Res... resource)

  - ### Method Detail

    - #### getFirstArtist

          public PersonWithRole getFirstArtist()

    - #### getArtists

          public PersonWithRole[] getArtists()

    - #### setArtists

          public MusicTrack setArtists(PersonWithRole[] artists)

    - #### getAlbum

          public String getAlbum()

    - #### setAlbum

          public MusicTrack setAlbum(String album)

    - #### getOriginalTrackNumber

          public Integer getOriginalTrackNumber()

    - #### setOriginalTrackNumber

          public MusicTrack setOriginalTrackNumber(Integer number)

    - #### getFirstPlaylist

          public String getFirstPlaylist()

    - #### getPlaylists

          public String[] getPlaylists()

    - #### setPlaylists

          public MusicTrack setPlaylists(String[] playlists)

    - #### getStorageMedium

          public StorageMedium getStorageMedium()

    - #### setStorageMedium

          public MusicTrack setStorageMedium(StorageMedium storageMedium)

    - #### getFirstContributor

          public Person getFirstContributor()

    - #### getContributors

          public Person[] getContributors()

    - #### setContributors

          public MusicTrack setContributors(Person[] contributors)

    - #### getDate

          public String getDate()

    - #### setDate

          public MusicTrack setDate(String date)

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.